<?php
include_once ('../../../config.php');
include_once ("../path.php");
include_once ("helpers.php");

// INTERFACE ====================================
echo "<div style='$SCRIPT_STYLE'>";
echo "Click on a link to remove it from Production links page <br><br>";
echo "Data will not be removed (links keep working) but will not be tagged 'in production' anymore <br><br>";

    $i = 0;
    $file = $json_instance_path . $production_file;
    $data = json_decode(file_get_contents($file));

    foreach (array_reverse($data) as $item)
    {
        display($item);
        $i++;
    }

    if ($i === 0) echo 'No link in production available';

    if (isset($_POST['submit']))
    {
        $id = array_keys($_POST['submit']) [0];
        remove_production_link($file, $data, $id);
    }

echo '</div>';


// FUNCTIONS ====================================
function display($item)
{
    global $timeZone;

    $date = date_create($item->{'date'});
    date_timezone_set($date, new DateTimeZone($timeZone));
    $date = date_format($date, 'd-m-Y H:i:s');
    $model = $item->{'model'};
    $description = $item->{'description'};
    $id = $item->{'id'};

    echo <<<LINK
        <div style='border-bottom:1px solid white;margin-bottom:2px;'>
            $model &nbsp;&nbsp $date 
            <form method='post' style='display:inline-block;float:right;margin:1.25rem 0 0 0;'>
                <input style='padding:0 0.2rem;' id='$id' type='submit' name='submit[$id]' value='Remove'/>
            </form>
        </div>
        <p style='margin:0 0 1rem 1rem;color:rgb(215,215,215);'> $description </p>
    LINK;
}

function  remove_production_link($file,$data, $id)
{
    $i = 0;
    foreach ($data as $item)
    {
        if ($item->{'id'} == $id) 
            {
                unset($data[$i]);
            }
        $i++;
    }
    $data = array_values($data);

    // delete file
    if (count($data) > 0) 
    {
        file_put_contents($file, json_encode($data));
    }
    else 
    {
        unlink($file);
    }

    //set 'in production' property to false in model data 
    remove_production_prop($id, $item->{'model'});
}

function remove_production_prop($id, $model)
{
    global $json_instance_path;
    global $model_data_file;

    $file = $json_instance_path . $model .'/'. $model_data_file;
    $data = json_decode(file_get_contents($file));

    foreach ($data as $item)
    {
        if ($item->{'id'} == $id) 
            {
                $item->{'production'} ='false';
            }
        $i++;
    }
    $data = array_values($data);
    file_put_contents($file, json_encode($data));
    header("Refresh:0");
}
